<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Pointer Types</TITLE>
<link href="suif1_63.html" rel=Next>
<link href="suif1_61.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_61.html">previous</A>, <A HREF="suif1_63.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC62" HREF="suif1_toc.html#TOC62">Pointer Types</A></H2>
<P>
<A NAME="IDX433"></A>
<A NAME="IDX434"></A>

</P>
<P>
<A NAME="IDX435"></A>
<A NAME="IDX436"></A>
<A NAME="IDX437"></A>
Pointer types are defined using the <CODE>TYPE_PTR</CODE> operator and the
<CODE>ptr_type</CODE> derived class.  The <CODE>ref_type</CODE> method returns the
type that is pointed to by a particular <CODE>ptr_type</CODE> node.  The
<CODE>set_ref_type</CODE> method can be used to change this referent type.
The size of a pointer type is determined by the target machine
(see section <A HREF="suif1_103.html#SEC103">Target Machine Parameters</A>); it cannot be changed for individual
pointer types.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_61.html">previous</A>, <A HREF="suif1_63.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
